﻿body {
    overflow-x: hidden;
}

.main-content {
    overflow: hidden;
    padding-bottom: 5rem;
}

.header {
    background-color: #f1f1f1;
    height: 4rem;
    background-color: white;
    padding: .5rem;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #dee2e6 !important;
}

.header-img {
    height: 100%;
    object-fit: contain;
    max-width: 175px;
}

.custom-modal-overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1050;
    overflow-y: auto;
}

.custom-modal {
    background: white;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 90%;
    max-width: 800px;
    max-height: 80%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.custom-modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    background-color: #f8f9fa;
    border-bottom: 1px solid #dee2e6;
}

.custom-modal-body {
    flex: 1;
    padding: 1rem;
    overflow-y: auto;
}

.custom-modal-title {
    margin: 0;
    line-height: 1.5;
}

.btn-close {
    background: none;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
}

/*  Benetifs/Index.razor style  */
.tab {
    font: 20px;
    font-weight: 500;
    border: 1px solid transparent;
    transition: background-color 0.3s;
}

.tab.active {
    color: #F58232;
    border-bottom: 2px solid #F58232;
}

.tab-benefits {
    height: 14rem;
    width: 100%;
    display: flex;
    align-items: center;
}

.tab-benefits-elements {
    height: 14rem;
    width: 14rem;
    display: flex;
    justify-content: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.title-text {
    font-size: 18px;
    font-weight: bold;
    color: #347750;
}

.content-text {
    margin-left: 0.5rem;
    font-size: 13px;
    font-weight: 300;
    color: #347750;
    line-height: 1.2;
}

@media (max-width: 400px) {
    .title-text {
        font-size: 13px;
    }

    .content-text {
        font-size: 11px;
        margin-left: 1rem;
        margin-right: 1rem;
    }
}

@media (min-width: 401px) and (max-width: 449px) {
    .title-text {
        font-size: 15px;
    }
}

@media (min-width: 450px) and (max-width: 699px) {
    .title-text {
        font-size: 18px;
    }

    .content-text {
        font-size: 13px;
    }
}

@media (min-width: 700px) {
    .title-text {
        font-size: 32px; 
    }

    .content-text {
        margin-left: 1.5rem;
        font-size: 16px;
        max-width: 70%;
    }
}

@media (max-width: 650px) {
    .tab-benefits {
        height: 6rem;
        margin-top: -2rem
    }

    .tab-benefits-elements {
        height: 6rem;
        width: 6rem;
    }

    .hide-button-when-mobile {
        display: none;
    }
}

/* EfficiencyImpact.razor style */
.text-size {
    font-size: 20px;
}

@media (max-width: 550px) {
    .text-size {
        font-size: 12px;
    }
}